Search Results for

Show / Hide Table of Contents

# Class TimeField

Time editing View

##### Inheritance

System.Object
Responder
View
TextField
TimeField

##### Implements

System.IDisposable
System.ComponentModel.ISupportInitializeNotification
System.ComponentModel.ISupportInitialize

##### Inherited Members

TextField.Used
TextField.ReadOnly
TextField.TextChanging
TextField.TextChanged
TextField.OnLeave(View)
TextField.Autocomplete
TextField.Frame
TextField.Text
TextField.Secret
TextField.ScrollOffset
TextField.IsDirty
TextField.HasHistoryChanges
TextField.ContextMenu
TextField.PositionCursor()
TextField.Redraw(Rect)
TextField.CanFocus
TextField.KillWordBackwards()
TextField.KillWordForwards()
TextField.SelectAll()
TextField.DeleteAll()
TextField.SelectedStart
TextField.SelectedLength
TextField.SelectedText
TextField.ClearAllSelection()
TextField.Copy()
TextField.Cut()
TextField.Paste()
TextField.OnTextChanging(ustring)
TextField.DesiredCursorVisibility
TextField.OnEnter(View)
TextField.InsertText(String, Boolean)
TextField.ClearHistoryChanges()
View.Added
View.Removed
View.Enter
View.Leave
View.MouseEnter
View.MouseLeave
View.MouseClick
View.CanFocusChanged
View.EnabledChanged
View.VisibleChanged
View.HotKeyChanged
View.HotKey
View.HotKeySpecifier
View.Shortcut
View.ShortcutTag
View.ShortcutAction
View.Data
View.Driver
View.Subviews
View.TabIndexes
View.TabIndex
View.TabStop
View.Id
View.IsCurrentTop
View.WantMousePositionReports
View.WantContinuousButtonPressed
View.LayoutStyle
View.Bounds
View.X
View.Y
View.Width
View.Height
View.SuperView
View.SetNeedsDisplay()
View.ClearLayoutNeeded()
View.SetNeedsDisplay(Rect)
View.SetChildNeedsDisplay()
View.Add(View)
View.Add(View[])
View.RemoveAll()
View.Remove(View)
View.BringSubviewToFront(View)
View.SendSubviewToBack(View)
View.SendSubviewBackwards(View)
View.BringSubviewForward(View)
View.Clear()
View.Clear(Rect)
View.ScreenToView(Int32, Int32)
View.ClipToBounds()
View.SetClip(Rect)
View.DrawFrame(Rect, Int32, Boolean)
View.DrawHotString(ustring, Attribute, Attribute)
View.DrawHotString(ustring, Boolean, ColorScheme)
View.Move(Int32, Int32, Boolean)
View.HasFocus
View.OnAdded(View)
View.OnRemoved(View)
View.Focused
View.MostFocused
View.ColorScheme
View.AddRune(Int32, Int32, Rune)
View.ClearNeedsDisplay()
View.DrawContent
View.OnDrawContent(Rect)
View.DrawContentComplete
View.OnDrawContentComplete(Rect)
View.SetFocus()
View.KeyPress
View.InvokeKeybindings(KeyEvent)
View.AddKeyBinding(Key, Command)
View.ReplaceKeyBinding(Key, Key)
View.ContainsKeyBinding(Key)
View.ClearKeybindings()
View.ClearKeybinding(Key)
View.ClearKeybinding(Command)
View.AddCommand(Command, Func<Nullable<Boolean>>)
View.GetSupportedCommands()
View.GetKeyFromCommand(Command)
View.ProcessHotKey(KeyEvent)
View.ProcessColdKey(KeyEvent)
View.KeyDown
View.OnKeyDown(KeyEvent)
View.KeyUp
View.OnKeyUp(KeyEvent)
View.EnsureFocus()
View.FocusFirst()
View.FocusLast()
View.FocusPrev()
View.FocusNext()
View.LayoutStarted
View.LayoutComplete
View.Initialized
View.LayoutSubviews()
View.AutoSize
View.TextAlignment
View.VerticalTextAlignment
View.TextDirection
View.IsInitialized
View.Enabled
View.Visible
View.Border
View.ToString()
View.OnMouseEnter(MouseEvent)
View.OnMouseLeave(MouseEvent)
View.OnMouseEvent(MouseEvent)
View.OnMouseClick(View.MouseEventArgs)
View.OnCanFocusChanged()
View.OnEnabledChanged()
View.OnVisibleChanged()
View.Dispose(Boolean)
View.BeginInit()
View.EndInit()
View.SetWidth(Int32, Int32)
View.SetHeight(Int32, Int32)
View.GetCurrentWidth(Int32)
View.GetCurrentHeight(Int32)
View.GetNormalColor()
View.GetTopSuperView()
Responder.Dispose()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class TimeField : TextField, IDisposable, ISupportInitializeNotification, ISupportInitialize

##### Remarks

The TimeField View provides time editing functionality with mouse support.

### Constructors

#### TimeField()

Initializes a new instance of TimeField using Computed positioning.

##### Declaration

    public TimeField()

#### TimeField(Int32, Int32, TimeSpan, Boolean)

Initializes a new instance of TimeField using Absolute positioning.

##### Declaration

    public TimeField(int x, int y, TimeSpan time, bool isShort = false)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | x | The x coordinate.
System.Int32 | y | The y coordinate.
System.TimeSpan | time | Initial time.
System.Boolean | isShort | If true, the seconds are hidden. Sets the IsShortFormat property.

#### TimeField(TimeSpan)

Initializes a new instance of TimeField using Computed positioning.

##### Declaration

    public TimeField(TimeSpan time)

##### Parameters

Type | Name | Description
--- | --- | ---
System.TimeSpan | time | Initial time

### Properties

#### CursorPosition

##### Declaration

    public override int CursorPosition { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

##### Overrides

TextField.CursorPosition

#### IsShortFormat

Get or sets whether TimeField uses the short or long time format.

##### Declaration

    public bool IsShortFormat { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### Time

Gets or sets the time of the TimeField.

##### Declaration

    public TimeSpan Time { get; set; }

##### Property Value

Type | Description
--- | ---
System.TimeSpan |

##### Remarks

### Methods

#### DeleteCharLeft(Boolean)

##### Declaration

    public override void DeleteCharLeft(bool useOldCursorPos = true)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | useOldCursorPos |

##### Overrides

TextField.DeleteCharLeft(Boolean)

#### DeleteCharRight()

##### Declaration

    public override void DeleteCharRight()

##### Overrides

TextField.DeleteCharRight()

#### MouseEvent(MouseEvent)

##### Declaration

    public override bool MouseEvent(MouseEvent ev)

##### Parameters

Type | Name | Description
--- | --- | ---
MouseEvent | ev |

##### Returns

Type | Description
--- | ---
System.Boolean |

##### Overrides

TextField.MouseEvent(MouseEvent)

#### OnTimeChanged(DateTimeEventArgs<TimeSpan>)

Event firing method that invokes the TimeChanged event.

##### Declaration

    public virtual void OnTimeChanged(DateTimeEventArgs<TimeSpan> args)

##### Parameters

Type | Name | Description
--- | --- | ---
DateTimeEventArgs<System.TimeSpan> | args | The event arguments

#### ProcessKey(KeyEvent)

##### Declaration

    public override bool ProcessKey(KeyEvent kb)

##### Parameters

Type | Name | Description
--- | --- | ---
KeyEvent | kb |

##### Returns

Type | Description
--- | ---
System.Boolean |

##### Overrides

TextField.ProcessKey(KeyEvent)

### Events

#### TimeChanged

TimeChanged event, raised when the Date has changed.

##### Declaration

    public event Action<DateTimeEventArgs<TimeSpan>> TimeChanged

##### Event Type

Type | Description
--- | ---
System.Action<DateTimeEventArgs<System.TimeSpan>> |

##### Remarks

This event is raised when the Time changes.

### Implements

System.IDisposable
System.ComponentModel.ISupportInitializeNotification
System.ComponentModel.ISupportInitialize